RDKit: RDKit::MolDraw2D_detail::StringRect Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::StringRect Struct Reference

`#include <StringRect.h>`

## Public Member Functions
| StringRect ()
| StringRect (const Point2D &offset, const Point2D &g_centre, double w, double h)
void | calcCorners (Point2D &tl, Point2D &tr, Point2D &br, Point2D &bl, double padding) const
void | calcCentre (Point2D &c) const
bool | isPointInside (const Point2D &pt, double padding=0.0) const
bool | doesItIntersect (const StringRect &other, double padding=0.0) const

## Public Attributes
Point2D | trans_
Point2D | offset_
Point2D | g_centre_
double | y_shift_
double | width_
double | height_
double | rect_corr_
int | clash_score_

## Detailed Description

Definition at line 24 of file StringRect.h.

## Constructor & Destructor Documentation

## ◆ StringRect() [1/2]

RDKit::MolDraw2D_detail::StringRect::StringRect | ( |  | ) |
| inline

Definition at line 35 of file StringRect.h.

References clash_score_, g_centre_, height_, offset_, rect_corr_, trans_, width_, and y_shift_.

Referenced by doesItIntersect().

## ◆ StringRect() [2/2]

RDKit::MolDraw2D_detail::StringRect::StringRect | ( | const Point2D & | offset,
|  | const Point2D & | g_centre,
|  | double | w,
|  | double | h )
| inline

Definition at line 44 of file StringRect.h.

References clash_score_, g_centre_, height_, offset_, rect_corr_, trans_, width_, and y_shift_.

## Member Function Documentation

## ◆ calcCentre()

void RDKit::MolDraw2D_detail::StringRect::calcCentre | ( | Point2D & | c | ) | const
| inline

Definition at line 66 of file StringRect.h.

References g_centre_, offset_, trans_, Point2D::y, and y_shift_.

Referenced by calcCorners().

## ◆ calcCorners()

void RDKit::MolDraw2D_detail::StringRect::calcCorners | ( | Point2D & | tl,
|  | Point2D & | tr,
|  | Point2D & | br,
|  | Point2D & | bl,
|  | double | padding ) const
| inline

Definition at line 55 of file StringRect.h.

References calcCentre(), height_, width_, Point2D::x, and Point2D::y.

Referenced by doesItIntersect(), and isPointInside().

## ◆ doesItIntersect()

bool RDKit::MolDraw2D_detail::StringRect::doesItIntersect | ( | const StringRect & | other,
|  | double | padding = 0.0 ) const
| inline

Definition at line 80 of file StringRect.h.

References calcCorners(), StringRect(), Point2D::x, and Point2D::y.

## ◆ isPointInside()

bool RDKit::MolDraw2D_detail::StringRect::isPointInside | ( | const Point2D & | pt,
|  | double | padding = 0.0 ) const
| inline

Definition at line 70 of file StringRect.h.

References calcCorners(), Point2D::x, and Point2D::y.

## Member Data Documentation

## ◆ clash_score_

int RDKit::MolDraw2D_detail::StringRect::clash_score_

Definition at line 32 of file StringRect.h.

Referenced by StringRect(), and StringRect().

## ◆ g_centre_

Point2D RDKit::MolDraw2D_detail::StringRect::g_centre_

Definition at line 27 of file StringRect.h.

Referenced by calcCentre(), StringRect(), and StringRect().

## ◆ height_

double RDKit::MolDraw2D_detail::StringRect::height_

Definition at line 29 of file StringRect.h.

Referenced by calcCorners(), StringRect(), and StringRect().

## ◆ offset_

Point2D RDKit::MolDraw2D_detail::StringRect::offset_

Definition at line 26 of file StringRect.h.

Referenced by calcCentre(), StringRect(), and StringRect().

## ◆ rect_corr_

double RDKit::MolDraw2D_detail::StringRect::rect_corr_

Definition at line 30 of file StringRect.h.

Referenced by StringRect(), and StringRect().

## ◆ trans_

Point2D RDKit::MolDraw2D_detail::StringRect::trans_

Definition at line 25 of file StringRect.h.

Referenced by calcCentre(), StringRect(), and StringRect().

## ◆ width_

double RDKit::MolDraw2D_detail::StringRect::width_

Definition at line 29 of file StringRect.h.

Referenced by calcCorners(), StringRect(), and StringRect().

## ◆ y_shift_

double RDKit::MolDraw2D_detail::StringRect::y_shift_

Definition at line 28 of file StringRect.h.

Referenced by calcCentre(), StringRect(), and StringRect().

The documentation for this struct was generated from the following file:

- StringRect.h